import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import RestClient from "/apps/websight-rest-atlaskit-client/web-resources/js/RestClient.js";
import UserPublicationModal from "./UserPublicationModal.js";
import ReplicationActionService from "../services/ReplicationActionService.js";
import ConfirmationModal from "/apps/websight-admin/web-resources/ConfirmationModal.js";
const AuthorizablePublishAction = {
  restClient: new RestClient('websight-aem-replication-support-service'),
  label: 'Publish',

  onClick() {
    this.actionModal.open();
  },

  isApplicable(path, callback) {
    ReplicationActionService.isApplicable(path, callback, callback(false));
  },

  publishGroup(path) {
    this.restClient.post({
      action: 'publish',
      data: {
        path: path,
        type: 'group'
      },
      always: () => {
        this.actionModal.close();
      }
    });
  },

  modal(authorizable) {
    if (authorizable.path.startsWith('/home/user')) {
      return /*#__PURE__*/React.createElement(UserPublicationModal, {
        user: authorizable,
        ref: element => this.actionModal = element
      });
    } else {
      return /*#__PURE__*/React.createElement(ConfirmationModal, {
        buttonText: 'Publish',
        heading: 'Publish group',
        message: /*#__PURE__*/React.createElement("span", null, "Are you sure you want to publish ", /*#__PURE__*/React.createElement("b", null, authorizable.displayName), "?"),
        onConfirm: () => this.publishGroup(authorizable.path),
        ref: element => this.actionModal = element
      });
    }
  }

};
export default AuthorizablePublishAction;