import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import { FormHeader } from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/form.js";
import { colors as atlaskitColors } from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/theme.js";
import styled from "/apps/websight-atlaskit-esm/web-resources/styled-components.js";
import { AtlassianNavigation, ProductHome, generateTheme } from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/atlassian-navigation.js";
import Logo from "./components/Logo.js";
import LoginForm from "./components/LoginForm.js";
const Content = styled.div`
    display: flex;
    width: 400px;
    max-width: 100%;
    margin: 0px auto 0 auto;
    flex-direction: column;
    box-shadow: 0 1px 1px ${atlaskitColors.N40A}, 0 0 0 1px ${atlaskitColors.N30A};
    border: none;
    border-radius: 3px;
    padding: 20px;
`;
const ContentContainer = styled.div`
    padding-top: 124px;
    min-height: 476px;
`;
const theme = generateTheme({
  name: 'high-contrast',
  backgroundColor: atlaskitColors.B500,
  highlightColor: atlaskitColors.N0
});

const HomeSection = () => /*#__PURE__*/React.createElement(ProductHome, {
  icon: Logo,
  logo: Logo,
  href: "/"
});

export default class Login extends React.Component {
  render() {
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(AtlassianNavigation, {
      theme: theme,
      renderProductHome: HomeSection
    }), /*#__PURE__*/React.createElement(ContentContainer, null, /*#__PURE__*/React.createElement(Content, null, /*#__PURE__*/React.createElement(FormHeader, {
      title: "Log in"
    }), /*#__PURE__*/React.createElement(LoginForm, null))));
  }

}