import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import InlineMessage from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/inline-message.js";
import Tooltip from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/tooltip.js";
import styled from "/apps/websight-atlaskit-esm/web-resources/styled-components.js";
const RESOURCE_PROVIDER_CLASS = 'org.apache.sling.spi.resource.provider.ResourceProvider';
const InlineMessageContainer = styled.div`
    padding-top: 10px;
`;
export const ResourceUnavailable = props => {
  const {
    shadowedBy
  } = props;

  const createTooltip = (content, text) => {
    return /*#__PURE__*/React.createElement(Tooltip, {
      content: content,
      tag: "span",
      delay: 0
    }, /*#__PURE__*/React.createElement("code", null, text));
  };

  return /*#__PURE__*/React.createElement(React.Fragment, null, shadowedBy && /*#__PURE__*/React.createElement(InlineMessageContainer, null, /*#__PURE__*/React.createElement(InlineMessage, {
    type: "warning",
    title: /*#__PURE__*/React.createElement("span", null, "Resource unavailable via ", /*#__PURE__*/React.createElement("code", null, "org.apache.sling.api.resource.ResourceResolver"))
  }, /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("p", null, "Resource is shadowed by ", createTooltip(shadowedBy, shadowedBy.split('.').pop()), "."), /*#__PURE__*/React.createElement("p", null, "Unless it is done intentionally, make sure that ", createTooltip(RESOURCE_PROVIDER_CLASS, 'ResourceProvider'), "\xA0services are registered with the correct ", /*#__PURE__*/React.createElement("code", null, "provider.root"), " properties and do not override each other.")))));
};