function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import AuthContextProvider, { AUTH_CONTEXT_UPDATED } from "/apps/websight-rest-esm-client/web-resources/AuthContextProvider.js";

const authContextAware = WrappedComponent => {
  class AuthContextAware extends React.Component {
    constructor(props) {
      super(props);
      this.onContextUpdate = this.onContextUpdate.bind(this);
    }

    componentDidMount() {
      window.addEventListener(AUTH_CONTEXT_UPDATED, this.onContextUpdate);
      AuthContextProvider.getOrFetchContext().then(() => undefined); // do nothing, handle changes in event listener
    }

    componentWillUnmount() {
      window.removeEventListener(AUTH_CONTEXT_UPDATED, this.onContextUpdate);
    }

    onContextUpdate() {
      this.forceUpdate();
    }

    render() {
      const {
        forwardedRef,
        ...passThroughProps
      } = this.props;
      return /*#__PURE__*/React.createElement(WrappedComponent, _extends({
        ref: forwardedRef
      }, passThroughProps, {
        authContext: AuthContextProvider.getContext()
      }));
    }

  }

  return React.forwardRef((props, ref) => {
    return /*#__PURE__*/React.createElement(AuthContextAware, _extends({}, props, {
      forwardedRef: ref
    }));
  });
};

export default authContextAware;