import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import { Link } from "/apps/websight-atlaskit-esm/web-resources/react-router-dom.js";
import styled from "/apps/websight-atlaskit-esm/web-resources/styled-components.js";
import { colors } from "/apps/websight-admin/web-resources/theme.js";
import { getAuthorizableHref } from "../utils/AuthorizableUtil.js";
const NameContainer = styled.span`
    align-items: center;
    display: flex;
    min-width: 200px;
`;
const NameIconContainer = styled.div`
    display: inline;
    margin-right: 8px;
`;
const nameIconStyle = {
  color: colors.grey,
  verticalAlign: 'middle'
};

const AuthorizableName = props => {
  const {
    authorizable,
    enabledAware
  } = props;
  const name = authorizable.displayName || authorizable.id;
  return /*#__PURE__*/React.createElement(NameContainer, null, /*#__PURE__*/React.createElement(NameIconContainer, null, /*#__PURE__*/React.createElement("i", {
    className: "material-icons",
    style: nameIconStyle
  }, props.icon)), /*#__PURE__*/React.createElement(Link, {
    to: getAuthorizableHref(authorizable)
  }, !enabledAware || authorizable.enabled ? name : /*#__PURE__*/React.createElement("del", null, name)));
};

export default AuthorizableName;