import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import styled from "/apps/websight-atlaskit-esm/web-resources/styled-components.js";
import AuthorizablesTags from "./AuthorizablesTags.js";
import AuthorizableInfoSection from "./AuthorizableInfoSection.js";
import { DetailsFieldContainer, DetailsLabelContainer, DetailsTagsContainer, SectionContainer, SectionsContainer, SectionsGroupContainer } from "./Containers.js";
const DetailsLabelContainerStyled = styled(DetailsLabelContainer)`
    width: 100px;
`;
export default class GroupDetailsGeneral extends React.Component {
  render() {
    const {
      group
    } = this.props;
    const details = [{
      label: 'Display name',
      value: group.displayName
    }, {
      label: 'Description',
      value: group.description
    }, {
      label: 'Parent groups',
      value: (group.parentGroups || []).length ? [/*#__PURE__*/React.createElement(DetailsTagsContainer, {
        key: "parentGroups"
      }, /*#__PURE__*/React.createElement(AuthorizablesTags, {
        authorizables: group.parentGroups,
        onePerLine: true
      }))] : []
    }, {
      label: 'Members',
      value: (group.members || []).length ? [/*#__PURE__*/React.createElement(DetailsTagsContainer, {
        key: "members"
      }, /*#__PURE__*/React.createElement(AuthorizablesTags, {
        authorizableId: group.id,
        authorizables: group.members,
        onePerLine: true
      }))] : []
    }];
    const detailsSection = /*#__PURE__*/React.createElement(SectionContainer, null, /*#__PURE__*/React.createElement("h4", null, "Details"), details.map(entry => (entry.value || []).length ? /*#__PURE__*/React.createElement(DetailsFieldContainer, null, /*#__PURE__*/React.createElement(DetailsLabelContainerStyled, null, entry.label, ":"), entry.value) : ''));
    return /*#__PURE__*/React.createElement(SectionsContainer, null, /*#__PURE__*/React.createElement(SectionsGroupContainer, null, /*#__PURE__*/React.createElement(AuthorizableInfoSection, {
      title: "Group",
      authorizable: group
    }), detailsSection));
  }

}