import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import TableTree, { Header, Headers, Rows } from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/table-tree.js";
import GroupRow from "./GroupRow.js";
import { NoTableDataContainer, TableTopAlignedContainer } from "/apps/websight-admin/web-resources/Containers.js";
import { LoadingWrapper } from "/apps/websight-admin/web-resources/Wrappers.js";
export default class GroupsTable extends React.Component {
  constructor(props) {
    super(props);
    this.onGroupUpdate = this.onGroupUpdate.bind(this);
  }

  onGroupUpdate() {
    this.props.refreshGroups();
  }

  render() {
    const {
      groups
    } = this.props;
    const tableTreeHeaders = /*#__PURE__*/React.createElement(Headers, null, /*#__PURE__*/React.createElement(Header, {
      width: 'calc(30% - 120px)',
      style: {
        minWidth: '200px',
        paddingLeft: '58px'
      }
    }, "Name"), /*#__PURE__*/React.createElement(Header, {
      width: '14%'
    }, "ID"), /*#__PURE__*/React.createElement(Header, {
      width: '18%'
    }, "Parent groups"), /*#__PURE__*/React.createElement(Header, {
      width: '18%'
    }, "Members"), /*#__PURE__*/React.createElement(Header, {
      width: '20%'
    }, "Description"), /*#__PURE__*/React.createElement(Header, {
      width: '120px'
    }, "Actions"));
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(TableTree, null, tableTreeHeaders, /*#__PURE__*/React.createElement(LoadingWrapper, {
      isLoading: this.props.isLoading,
      spinnerSize: "large"
    }, /*#__PURE__*/React.createElement(TableTopAlignedContainer, null, /*#__PURE__*/React.createElement(Rows, {
      items: groups,
      render: group => /*#__PURE__*/React.createElement(GroupRow, {
        group: group,
        onUpdate: this.onGroupUpdate,
        onAuthorizableAction: this.props.onAuthorizableAction,
        extraActions: this.props.extraActions
      })
    })), !this.props.groups.length && this.props.isInitialized && /*#__PURE__*/React.createElement(NoTableDataContainer, null, /*#__PURE__*/React.createElement("h3", null, "No groups found.")))));
  }

}