import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import AuthorizablesTags from "./AuthorizablesTags.js";
import AuthorizableInfoSection from "./AuthorizableInfoSection.js";
import { DetailsFieldContainer, DetailsLabelContainer, DetailsTagsContainer, SectionContainer, SectionsContainer, SectionsGroupContainer } from "./Containers.js";
export default class SystemUserDetailsGeneral extends React.Component {
  render() {
    const {
      user
    } = this.props;
    const details = [{
      label: 'Groups',
      value: (user.groups || []).length ? [/*#__PURE__*/React.createElement(DetailsTagsContainer, {
        key: "groups"
      }, /*#__PURE__*/React.createElement(AuthorizablesTags, {
        authorizables: user.groups,
        onePerLine: true
      }))] : ''
    }];
    const detailsSection = /*#__PURE__*/React.createElement(SectionContainer, null, /*#__PURE__*/React.createElement("h4", null, "Details"), details.map(entry => (entry.value || []).length ? /*#__PURE__*/React.createElement(DetailsFieldContainer, null, /*#__PURE__*/React.createElement(DetailsLabelContainer, null, entry.label, ":"), entry.value) : ''));
    return /*#__PURE__*/React.createElement(SectionsContainer, null, /*#__PURE__*/React.createElement(SectionsGroupContainer, null, /*#__PURE__*/React.createElement(AuthorizableInfoSection, {
      title: "System user",
      authorizable: user
    }), details.map(x => x.value).filter(x => x).length ? detailsSection : ''));
  }

}