import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import TableTree, { Header, Headers, Rows } from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/table-tree.js";
import { LoadingWrapper } from "/apps/websight-admin/web-resources/Wrappers.js";
import { NoTableDataContainer, TableTopAlignedContainer } from "/apps/websight-admin/web-resources/Containers.js";
import UserRow from "./UserRow.js";
export default class UsersTable extends React.Component {
  constructor(props) {
    super(props);
    this.onUserUpdate = this.onUserUpdate.bind(this);
  }

  onUserUpdate() {
    this.props.refreshUsers();
  }

  render() {
    const {
      users
    } = this.props;
    const tableTreeHeaders = /*#__PURE__*/React.createElement(Headers, null, /*#__PURE__*/React.createElement(Header, {
      width: 'calc(40% - 130px)',
      style: {
        minWidth: '200px',
        paddingLeft: '58px'
      }
    }, "Name"), /*#__PURE__*/React.createElement(Header, {
      width: '16%'
    }, "Username"), /*#__PURE__*/React.createElement(Header, {
      width: '21%'
    }, "Login details"), /*#__PURE__*/React.createElement(Header, {
      width: '23%'
    }, "Groups"), /*#__PURE__*/React.createElement(Header, {
      width: '130px'
    }, "Actions"));
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(TableTree, null, tableTreeHeaders, /*#__PURE__*/React.createElement(LoadingWrapper, {
      isLoading: this.props.isLoading,
      spinnerSize: "large"
    }, /*#__PURE__*/React.createElement(TableTopAlignedContainer, null, /*#__PURE__*/React.createElement(Rows, {
      items: users,
      render: user => /*#__PURE__*/React.createElement(UserRow, {
        user: user,
        onUpdate: this.onUserUpdate,
        onAuthorizableAction: this.props.onAuthorizableAction,
        extraActions: this.props.extraActions
      })
    })), !this.props.users.length && this.props.isInitialized && /*#__PURE__*/React.createElement(NoTableDataContainer, null, /*#__PURE__*/React.createElement("h3", null, "No users found.")))));
  }

}