import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import Tooltip from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/tooltip.js";
import { colors } from "/apps/websight-admin/web-resources/theme.js";
import { WhiteTooltip } from "/apps/websight-admin/web-resources/Tooltips.js";
const infoTooltipIconStyle = {
  color: colors.grey,
  position: 'absolute',
  fontSize: '17px',
  cursor: 'pointer',
  marginTop: '2px'
};
export default class PermissionDetails extends React.Component {
  restrictionsList(item) {
    return Object.entries(item.restrictions).map(([key, values]) => {
      return /*#__PURE__*/React.createElement("div", {
        key: `${item.authorizableId}-${key}`
      }, item.authorizableId, " (", item.allow ? 'allow' : 'deny', " - ", key, ":", values.join(', '), ")");
    });
  }

  infoTooltipContent(data, header) {
    const restrictions = item => this.restrictionsList(item);

    const generalInfo = item => /*#__PURE__*/React.createElement("div", {
      key: item.authorizableId
    }, item.group ? 'Group' : 'User', " '", item.authorizableId, "' (", item.allow ? 'allow' : 'deny', ")");

    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("h4", null, header), data.map(dataItem => dataItem.restrictions && Object.keys(dataItem.restrictions).length ? restrictions(dataItem) : generalInfo(dataItem)));
  }

  render() {
    const {
      row,
      field,
      authorizableId
    } = this.props;
    let {
      effective,
      ineffective
    } = row.declaredActions[field] || {};

    const filterAuthorizable = declaredActions => {
      return declaredActions ? Object.values(declaredActions).filter(value => value.authorizableId !== authorizableId) : {};
    };

    effective = filterAuthorizable(effective);
    ineffective = filterAuthorizable(ineffective);
    const info = /*#__PURE__*/React.createElement(React.Fragment, null, effective && effective.length ? this.infoTooltipContent(effective, 'Effective') : '', ineffective && ineffective.length ? this.infoTooltipContent(ineffective, 'Ineffective') : '');
    return /*#__PURE__*/React.createElement(React.Fragment, null, !effective.length && !ineffective.length ? '' : /*#__PURE__*/React.createElement(Tooltip, {
      delay: 0,
      component: WhiteTooltip,
      tag: "span",
      content: info
    }, /*#__PURE__*/React.createElement("i", {
      className: "material-icons-outlined",
      style: infoTooltipIconStyle
    }, "info")));
  }

}