import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import Button from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/button.js";
import styled from "/apps/websight-atlaskit-esm/web-resources/styled-components.js";
import InlineInput from "/apps/websight-admin/web-resources/components/InlineInput.js";
const RestrictionValueRowContainer = styled.div`
    display: flex;
`;
const RestrictionValueInlineTextFieldContainer = styled.div`
    margin: -10px 20px 0;
    flex: 1 1 auto;
`;
const CloseButtonContainer = styled.div`
    padding-top: 2px;
`;
const RemoveIconContainer = styled.i`
    font-size: 20px;
    margin-top: 6px;
`;
const restrictionValueRemoveButtonStyle = {
  backgroundColor: 'white',
  marginRight: '30px',
  padding: 0
};
export default class RestrictionValueRow extends React.PureComponent {
  shouldComponentUpdate(nextProps) {
    return !(this.props.value === nextProps.value && this.props.placeholder === nextProps.placeholder);
  }

  render() {
    const {
      placeholder
    } = this.props;
    return /*#__PURE__*/React.createElement(RestrictionValueRowContainer, null, /*#__PURE__*/React.createElement(RestrictionValueInlineTextFieldContainer, null, /*#__PURE__*/React.createElement(InlineInput, {
      value: this.props.value,
      onValueChange: value => this.props.onChange(value),
      placeholder: placeholder === '' ? '' : 'Restriction value',
      maxWidth: "350px"
    })), /*#__PURE__*/React.createElement(CloseButtonContainer, null, /*#__PURE__*/React.createElement(Button, {
      spacing: "compact",
      style: restrictionValueRemoveButtonStyle,
      onClick: this.props.onRemove,
      title: "remove"
    }, /*#__PURE__*/React.createElement(RemoveIconContainer, {
      className: "material-icons"
    }, "close"))));
  }

}